| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiClusterJobDispatcherLauncher Class Reference
uiIo

`#include <uiclusterjobprov.h>`

Inheritance diagram for uiClusterJobDispatcherLauncher:
[legend]

## Public Member Functions
| uiClusterJobDispatcherLauncher (Batch::JobSpec &)
| ~uiClusterJobDispatcherLauncher ()
bool | go (uiParent *, Batch::ID *=nullptr) override
| mDefaultFactoryInstantiation1Param (uiBatchJobDispatcherLauncher, uiClusterJobDispatcherLauncher, Batch::JobSpec &, "Cluster Processing", tr("Cluster Processing"))
Public Member Functions inherited from uiBatchJobDispatcherLauncher
virtual | ~uiBatchJobDispatcherLauncher ()
virtual bool | canHandleJobSpec () const
Batch::JobDispatcher & | dispatcher ()
const Batch::JobDispatcher & | dispatcher () const
virtual void | editOptions (uiParent *)
virtual uiString | getInfo () const
virtual bool | hasOptions () const
virtual bool | isSuitedFor (const char *prognm) const
Batch::JobSpec & | jobSpec ()
const Batch::JobSpec & | jobSpec () const
uiString | name () const

## Protected Member Functions
Batch::JobDispatcher & | gtDsptchr () override
Protected Member Functions inherited from uiBatchJobDispatcherLauncher
| uiBatchJobDispatcherLauncher (Batch::JobSpec &)

## Protected Attributes
Batch::ClusterJobDispatcher & | jd_
Protected Attributes inherited from uiBatchJobDispatcherLauncher
Batch::JobSpec & | jobspec_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiClusterJobDispatcherLauncher()

uiClusterJobDispatcherLauncher::uiClusterJobDispatcherLauncher | ( | Batch::JobSpec & |  | ) |

## ◆ ~uiClusterJobDispatcherLauncher()

uiClusterJobDispatcherLauncher::~uiClusterJobDispatcherLauncher | ( |  | ) |

## Member Function Documentation

## ◆ go()

bool uiClusterJobDispatcherLauncher::go | ( | uiParent * | ,
|  | Batch::ID * | = nullptr )
| override virtual

Reimplemented from uiBatchJobDispatcherLauncher.

## ◆ gtDsptchr()

Batch::JobDispatcher & uiClusterJobDispatcherLauncher::gtDsptchr | ( |  | ) |
| override protected virtual

Implements uiBatchJobDispatcherLauncher.

## ◆ mDefaultFactoryInstantiation1Param()

uiClusterJobDispatcherLauncher::mDefaultFactoryInstantiation1Param | ( | uiBatchJobDispatcherLauncher | ,
|  | uiClusterJobDispatcherLauncher | ,
|  | Batch::JobSpec & | ,
|  | "Cluster Processing" | ,
|  | tr("Cluster Processing") | )

## Member Data Documentation

## ◆ jd_

Batch::ClusterJobDispatcher& uiClusterJobDispatcherLauncher::jd_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025